get
https://api.myvendy.com/transactions/channels
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Gets the payment channels available to a customer, by phone number or email.
Request:
| Query Parameter | Type | Description |
|---|---|---|
| businessId | Integer | Ignored when you use API keys. See Authentication |
| phoneNumber | String(Digits) | Phone number to get channels for. Send phoneNumber or email |
| String | Email to get channels for. Send phoneNumber or email |
Example request
curl --location 'https://api.myvendy.com/transactions/channels?phoneNumber=2348012345678' \
--header "AccessKey: $VENDY_ACCESS_KEY" \
--header "SecretKey: $VENDY_SECRET_KEY"Response:
| Field | Type | Description |
|---|---|---|
| status | Boolean | States if request was successfully executed or not |
| code | Integer | Internal code, success if 200 |
| msg | String | A description of the status of the request |
| data | JsonArray | Available payment methods for the customer |
Example response
{
"status": true,
"code": 200,
"msg": "Channels",
"data": [
{
"pay_wallet": true
},
{
"payment_card": true
}
]
}